LibreOffice: XSSOManager Interface Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Public Member Functions | List of all members
XSSOManager Interface Referencepublished

supports the creation of security contexts for both the initiator/source side and the acceptor/target side. More...

`import"XSSOManager.idl";`

Inheritance diagram for XSSOManager:

## Public Member Functions
string | getMechanism ()
| retrieves the mechanism name of all security contexts created using this manager. More...
XSSOInitiatorContext | createInitiatorContext ([in] string SourcePrincipal, [in] string TargetPrincipal, [in] string TargetHost) raises ( InvalidArgumentException, InvalidCredentialException, InvalidPrincipalException, UnsupportedException )
| creates an initiator side security context. More...
XSSOAcceptorContext | createAcceptorContext ([in] string TargetPrincipal) raises ( InvalidArgumentException, InvalidCredentialException, InvalidPrincipalException, UnsupportedException )
| creates an acceptor side security context. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

supports the creation of security contexts for both the initiator/source side and the acceptor/target side.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ createAcceptorContext()

XSSOAcceptorContext createAcceptorContext | ( | [in] string | TargetPrincipal | ) |
raises | ( | InvalidArgumentException,
|  | InvalidCredentialException,
|  | InvalidPrincipalException,
|  | UnsupportedException
| ) |  |

creates an acceptor side security context.

Parameters

  TargetPrincipal | the name of the acceptor side principal.

Returns
  the newly created acceptor side context.

## ◆ createInitiatorContext()

XSSOInitiatorContext createInitiatorContext | ( | [in] string | SourcePrincipal,
|  | [in] string | TargetPrincipal,
|  | [in] string | TargetHost
| ) |  |
raises | ( | InvalidArgumentException,
|  | InvalidCredentialException,
|  | InvalidPrincipalException,
|  | UnsupportedException
| ) |  |

creates an initiator side security context.

Parameters

  SourcePrincipal | the name of the initiator side principal for which the context will be created.
  TargetPrincipal | the name of the target/acceptor side principal to which the source principal intends to authenticate.
  TargetHost | the host name associated with the target principal.

Returns
  the newly created initiator context.

## ◆ getMechanism()

string getMechanism | ( |  | ) |

retrieves the mechanism name of all security contexts created using this manager.

Returns
  the mechanism name ( e.g. "KERBEROS" )

The documentation for this interface was generated from the following file:

- com/sun/star/auth/XSSOManager.idl